Add update test on PG11

Change travis to to run update tests on PG11.
This commit is contained in:
Matvey Arye 2019-11-06 17:01:01 -05:00 committed by Matvey Arye
parent 6fe5ef3957
commit d34731a4e3
2 changed files with 39 additions and 0 deletions

View File

@ -310,6 +310,20 @@ jobs:
script:
- ${RETRY_PREFIX} bash ./scripts/test_updates_pg10.sh
# This tests the ability to upgrade to the latest version on pg 11
- if: (type = pull_request) OR (type = cron) OR (branch = prerelease_test)
stage: test
env: PG_VERSION=11.0
name: "Update tests PostgreSQL 11.0"
before_install:
install:
after_failure:
after_script:
after_success:
script:
- ${RETRY_PREFIX} bash ./scripts/test_updates_pg11.sh
- if: (type = cron) OR (branch = prerelease_test)
stage: test
name: "ABI breakage smoketest 9.6"

25
scripts/test_updates_pg11.sh Executable file
View File

@ -0,0 +1,25 @@
#!/usr/bin/env bash
set -e
set -o pipefail
SCRIPT_DIR=$(dirname $0)
TAGS="1.1.0-pg11 1.1.1-pg11 1.2.0-pg11 1.2.1-pg11 1.2.2-pg11"
TEST_VERSION="v2"
TAGS=$TAGS TEST_VERSION=$TEST_VERSION bash ${SCRIPT_DIR}/test_updates.sh
EXIT_CODE=$?
if [ $EXIT_CODE -ne 0 ]; then
exit $EXIT_CODE
fi
TAGS="1.3.0-pg11 1.3.1-pg11 1.3.2-pg11 1.4.0-pg11 1.4.1-pg11 1.4.2-pg11"
TEST_VERSION="v3"
TAGS=$TAGS TEST_VERSION=$TEST_VERSION bash ${SCRIPT_DIR}/test_updates.sh
EXIT_CODE=$?
if [ $EXIT_CODE -ne 0 ]; then
exit $EXIT_CODE
fi